## bumblebee 3.2.1

=== debian/changelog ===
bumblebee (3.2.1-27) unstable; urgency=medium

  * Bump Standards-Version to 4.5.1, no changes
  * Backport pcie_id_overrun.patch to fix support for PCI bus numbers
    greater than 99 (Closes: #979006)
  * Bump watch file version to 4, no changes
  * Drop bumblebee-nvidia.lintian-overrides, no longer necessary
  * Backport disable-hard-dpms.patch to fix performance drop after 10
    minutes
  * Add Applied-Upstream tag to patch headers as expected by Lintian
  * Add Forwaded tag to patches that are pending merge upstream
  * Format remaining patches to follow DEP-3
  * Backport patch to fix compiler warnings
  * add Ubuntu's dependencies for 455 driver series

 -- Luca Boccassi <bluca@debian.org>  Sat, 02 Jan 2021 13:54:24 +0000

bumblebee (3.2.1-26) unstable; urgency=medium

  [ Andreas Beckmann ]
  * bumblebee-nvidia: Activate the register-glx-alternative-nvidia trigger.
  * bumblebee-nvidia: Do not let an nvidia dkms package satisfy the driver
    dependency while libraries are missing.  (Closes: #966557)

  [ Vincent Cheng ]
  * Remove myself from Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 22 Aug 2020 22:31:43 +0200

bumblebee (3.2.1-25) unstable; urgency=medium

  * bumblebee-nvidia: Add Tesla 450 driver as alternative dependency.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 24 Jul 2020 14:23:13 +0200

bumblebee (3.2.1-24) unstable; urgency=medium

  * bumblebee-nvidia: Add arch restrictions to dependencies.
  * bumblebee-nvidia: Build for armhf, arm64 and ppc64el, too.
    (Closes: #963681)
  * bumblebee: Depend on pciutils for lspci usage in postinst on Ubuntu.
    (Closes: #964377)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 07 Jul 2020 17:35:19 +0200

bumblebee (3.2.1-23) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Do not recommend unavailable virtualgl on Debian.  (Closes: #881337)
  * Fix FTBFS with gcc-10.  (Closes: #957058)
  * Switch to debhelper-compat (= 13).
  * Use dh_bash-completion.
  * Simplify rules and use bumblebee.install etc. for installation.
  * Remove obsolete conffile /etc/bumblebee/xorg.conf.d/10-dummy.conf.
  * bumblebee-nvidia: Recommend nvidia-primus-vk-wrapper.
  * optirun: Export ENABLE_PRIMUS_LAYER=1 when using primus backend to let
    primus-vk (if available) handle Vulkan applications.  (Closes: #892646)

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 11 Jun 2020 20:55:55 +0200

bumblebee (3.2.1-22) unstable; urgency=medium

  * Ship empty /etc/modprobe.d directory.
  * Generate vendor-specific modprobe.d/bumblebee.conf.
  * Collect more information with reportbug.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 18 Mar 2020 23:37:06 +0100

bumblebee (3.2.1-21) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Recommend primus-libs instead of primus.
  * Downgrade bbswitch dependency to Recommends.
  * Add only local users to the bumblebee group.  (Closes: #928119)
  * Generate vendor-specific driver dependency lists for bumblebee-nvidia.
  * Add alternative dependency on Tesla driver.  (Closes: #946556)
  * Move bumblebeed manpage to section 8.
  * Fall back to /usr/lib/<triplet>/libGL.so.1 as the "nvidia" libGL.so.1 for
    glvnd-enabled nvidia drivers that no longer provide a proprietary
    libGL.so.1 replacement.  (Closes: #947661)
  * Stop manipulating the glx alternative (Debian).
  * Add Ubuntu's dependencies for 418, 430, 435, and 440 driver series.
  * Bump Standards-Version to 4.5.0, no changes needed.
  * Add myself to Uploaders.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 10 Mar 2020 13:58:32 +0100

bumblebee (3.2.1-20) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Drop versioned constraints that are satisfied in wheezy.
  * Switch to debhelper-compat (= 12).

  [ Luca Boccassi ]
  * Enable all hardening build flags.
  * bumblebee-nvidia: add Ubuntu's dependencies for 390 and 410 series.

 -- Luca Boccassi <bluca@debian.org>  Wed, 06 Feb 2019 11:57:48 +0000

bumblebee (3.2.1-19) unstable; urgency=medium

  * Use wildcard to install bash completion file.
  * Backport patch to support AMD APU setups.
  * Backport patch to support nvidia drivers without bbswitch.
  * Bump Standards-Version to 4.3.0, no changes.
  * Set debhelper compat to 11.

 -- Luca Boccassi <bluca@debian.org>  Mon, 31 Dec 2018 18:12:20 +0000

bumblebee (3.2.1-18) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Add support for the 390xx legacy driver package available in Debian.
    (Closes: #916448)
  * The dbgsym migration was done in stretch.
  * Switch Vcs-* URLs to salsa.debian.org.
  * Set Rules-Requires-Root: no.

  [ Luca Boccassi ]
  * Bump Standards-Version to 4.2.1.
  * Remove obsolete conffile /etc/init/bumblebeed.conf. Thanks Ansgar!
    (Closes: #914979)

 -- Luca Boccassi <bluca@debian.org>  Fri, 14 Dec 2018 16:02:16 +0000

bumblebee (3.2.1-17) unstable; urgency=medium

  * Switch the triggers to -noawait to fix Lintian warning and to make
    things easier for apt/dpkg. Both restarting bumblebeed and re-building
    the initramfs can be deferred.
  * B-D on debhelper (>= 9.20160709) instead of dh-systemd to fix L:E.
  * Switch Uploaders field to bluca@debian.org email address.
  * Switch from priority extra to optional to fix L:W and comply with
    Policy 4.0.1.
  * Do not ship Upstart file anymore, fixes L:W.
  * Add 387 series to dependencies for Ubuntu.
  * Bump Standards-Version to 4.1.2.

 -- Luca Boccassi <bluca@debian.org>  Fri, 08 Dec 2017 23:07:05 +0000

bumblebee (3.2.1-16) unstable; urgency=medium

  * Ubuntu: fix typo in modprobe, really support 378

 -- Luca Boccassi <luca.boccassi@gmail.com>  Sun, 02 Jul 2017 10:36:52 +0100

bumblebee (3.2.1-15) unstable; urgency=medium

  * Use https in debian/copyright
  * Bump Standards-Version to 4.0.0
  * Ubuntu: add support for 375, 378, 381 and 384


